//
//  ViewController.m
//  UICollectionDemo
//
//  Created by 郭军 on 2019/6/5.
//  Copyright © 2019 JG. All rights reserved.
//

#import "ViewController.h"
#import "JGCollectionViewCell.h"
#import "JGCollectionViewFlowLayout.h"

@interface ViewController () <UICollectionViewDelegate,UICollectionViewDataSource>

@property (nonatomic, strong) UICollectionView *CollectionView;


@end

static NSString * const JGCollectionViewCellId = @"JGCollectionViewCellId";

@implementation ViewController

- (UICollectionView *)CollectionView {
    if (!_CollectionView) {
        JGCollectionViewFlowLayout *layout = [[JGCollectionViewFlowLayout alloc] init];
        layout.itemSize = CGSizeMake(160, 160);
        CGRect rect = CGRectMake(0, 100, self.view.frame.size.width, self.view.frame.size.width * 0.6);
        
        _CollectionView = [[UICollectionView alloc] initWithFrame:rect collectionViewLayout:layout];
        _CollectionView.backgroundColor = [UIColor whiteColor];
        _CollectionView.delegate = self;
        _CollectionView.dataSource = self;
        _CollectionView.showsHorizontalScrollIndicator = NO;
        //注册重用
        [_CollectionView registerClass:[JGCollectionViewCell class] forCellWithReuseIdentifier:JGCollectionViewCellId];
        
    }
    return _CollectionView;
}


- (void)viewDidLoad {
    [super viewDidLoad];
    // Do any additional setup after loading the view, typically from a nib.
    
    [self.view addSubview:self.CollectionView];
}



- (NSInteger)collectionView:(nonnull UICollectionView *)collectionView numberOfItemsInSection:(NSInteger)section {
    return 100;
}

- (nonnull __kindof UICollectionViewCell *)collectionView:(nonnull UICollectionView *)collectionView cellForItemAtIndexPath:(nonnull NSIndexPath *)indexPath {
    JGCollectionViewCell *cell = [collectionView dequeueReusableCellWithReuseIdentifier:JGCollectionViewCellId forIndexPath:indexPath];
    return cell;
}

- (void)collectionView:(UICollectionView *)collectionView didSelectItemAtIndexPath:(NSIndexPath *)indexPath {
    
    NSLog(@"%ld - %ld", indexPath.section, indexPath.row);
    
}




@end
